# Date: 2000/09/30 13:16:16

# Global parameters
[global]
  security                = user

  #Server Name
  netbios name            = KRYPTON
  workgroup               = WORKGROUP
  server string           = krypton

  #Security
  interfaces              = eth1
  bind interfaces only    = yes
  encrypt passwords       = yes
  null passwords          = yes
  passwd program          = /usr/bin/passwd
  password level          = 3

  username map            = /etc/samba/user.map

  #Log files
  debug level             = 0
  log file                = /var/log/samba.log

  #Funktionsauswahl
  os level                = 64
  preferred master        = yes
  local master            = yes
  wins proxy              = no
  wins support            = yes
  local master            = yes
  time server             = yes

  #Domaenenserver
  domain master           = yes
  domain logons           = yes
  logon script            = logon.bat
  logon path              = \\%N\profiles\%U
  logon home              = \\%N\profiles\%U
  logon drive             = Y:
  add user script         = /usr/sbin/useradd -d /dev/null -g 100 -s /bin/false -M %u

  #Laendereinstellungen
  character set           = ISO8859-1
  valid chars             = �:� �:� �:� �

  #Drucksystem
  printing                = lprng
  load printers           = yes
  printcap name           = /etc/LPRng/printcap

  #Passwoerter remote aendern
  unix password sync      = yes
  passwd program          = /usr/bin/passwd %u
  passwd chat             = *password* %n\n *password* %n\n *successful*

  #Tuning
  time offset             = 0
  deadtime                = 15
  #read prediction        = yes
  read size               = 64
  level2 oplocks          = yes
  socket options          = TCP_NODELAY SO_SNDBUF=8192 SO_RCVBUF=8192

  #SSL
  #ssl server cert        = /etc/samba/ssl.crt/server.crt
  #ssl server key         = /etc/samba/ssl.key/server.key
  #ssl version            = tls1
  #ssl require clientcert = no
  #ssl require servercert = yes
  #ssl CA certDir         = /etc/samba/certs

  #Sonstiges
  mangled names           = no
  guest account           = guest
  #force create mode      = 0755
  #force directory mode   = 0755

#Wichtig, wenn samba als PDC (Primary Domain Controller) arbeiten soll
[netlogon]
  comment                 = Domaenenanmeldedienst
  path                    = /etc/samba/netlogon
  public                  = no
  locking                 = no
  writeable               = yes
  browseable              = no

[profiles]
  Comment                 = Serverprofile
  path                    = /etc/samba/profiles
  browseable              = no
  writeable               = yes
  valid users             = @users
  create mask             = 0700
  directory mask          = 0700

[homes]
  comment                 = Heimat Verzeichnis
  valid users             = %S
  writeable               = yes
  create mask             = 0644
  directory mask          = 0755
  browseable              = no
  veto files              = /.*/

[temp]
  comment                 = Temporarily file space (max. 95 GByte)
  path                    = /temp
  writeable               = yes
  create mask             = 0644
  force create mode       = 0644
  directory mask          = 0755
  force directory mode    = 0755
  veto files              = /.*/ /lost+found/
  level2 oplocks          = no
  valid users             = @users

[Faxeingang]
  comment                 = Faxeingang
  path                    = /var/spool/fax/recvq
  veto files              = /seqf/
  writeable               = no
  valid users             = @users
  level2 oplocks          = no

#readonly share
[mp3]
  comment                 = mp3
  path                    = /mp3
  valid users             = @users
  writeable               = no
  veto files              = /lost+found/
  level2 oplocks          = no

[Drucker]
  comment                 = HP LaserJet IIP
  path                    = /var/spool/printers
  printer name            = lp
  printable               = yes
  public                  = yes
  valid users             = @users administrator
  print command           = /usr/local/bin/lpr  -Z a4 -P%p -r %s
  lpq command             = /usr/local/bin/lpq  -P%p
  lprm command            = /usr/local/bin/lprm -P%p %j
  lppause command         = /usr/local/sbin/lpc hold %p %j
  lpresume command        = /usr/local/sbin/lpc release %p %j
  queuepause command      = /usr/local/sbin/lpc -P%p stop
  queueresume command     = /usr/local/sbin/lpc -P%p start

  printer driver location = \\krypton\printer_driver$
  printer driver          = HP LaserJet IIP

[printer_driver$]
  path                    = /etc/samba/printer_driver
  public                  = yes
  writeable               = no
  browseable              = no